'$include: 'c:\qb45\qb.bi'
'$include: 'c:\qb45\library\dosfunc.bi'
'$include: 'c:\qb45\library\miscfunc.bi'

CONST drvFM = 0
CONST drvDskVoice = 1
CONST drvMemVoice = 2
CONST drvAux = 3
CONST drvMidi = 4

TYPE FARPTR
	 Segment AS LONG
	 Offset AS LONG
END TYPE

TYPE SBSDriver
	Addx AS FARPTR
	BuffLoc AS FARPTR
	BuffSize AS INTEGER
	Status AS STRING * 1
END TYPE

TYPE Driver
	Loaded AS INTEGER
	BuffAddx AS LONG
	BuffSize AS INTEGER
END TYPE

TYPE sbSimDriver
	Segment AS LONG
	Offset AS LONG
	IDStr AS STRING * 5
	IDOff AS INTEGER
	IntVec AS INTEGER
	Version AS INTEGER
	Status AS INTEGER
	Drivers AS INTEGER
	FM AS SBSDriver
	DskVoice AS SBSDriver
	MemVoice AS SBSDriver
	Aux AS SBSDriver
	MIDI AS SBSDriver
	Active AS INTEGER
END TYPE


DECLARE FUNCTION FindDrv% (IDStr AS STRING, IDOff AS INTEGER)
DECLARE FUNCTION FreeExtMem% (sbSim AS sbSimDriver, SBSHandle AS INTEGER)
DECLARE FUNCTION GetXMSHandle% (sbSim AS sbSimDriver, SBSHandle AS INTEGER)
DECLARE FUNCTION GetBufferAddress! (sbSim AS sbSimDriver, Driver AS INTEGER)
DECLARE FUNCTION InitSBSIM% (sbSim AS sbSimDriver)
DECLARE FUNCTION LoadExtMem% (sbSim AS sbSimDriver, FileType AS INTEGER, Filename AS STRING, SBSHandle AS INTEGER)
DECLARE FUNCTION PlaySnd (sbSim AS sbSimDriver, Driver AS INTEGER)
DECLARE FUNCTION QueryDriverEntry! (sbSim AS sbSimDriver, Driver AS INTEGER)
DECLARE FUNCTION ReadSoundStatus% (sbSim AS sbSimDriver, Driver AS INTEGER)
DECLARE FUNCTION QueryXMS% (sbSim AS sbSimDriver, SBSHandle AS INTEGER)
DECLARE FUNCTION SetBufferAddress% (sbSim AS sbSimDriver, Driver AS INTEGER, BufferAddress AS LONG, BufferSize AS INTEGER)
DECLARE FUNCTION SetXMSHandle% (sbSim AS sbSimDriver, SBSHandle AS INTEGER, XMSHandle AS INTEGER)
DECLARE FUNCTION StartSnd (sbSim AS sbSimDriver, Driver AS INTEGER, Filename AS STRING, BuffAddx AS INTEGER, SBSHandle AS INTEGER)

DECLARE FUNCTION LoadMem%(lpszFileName as STRING)
DECLARE SUB Version (sbSim AS sbSimDriver)
DECLARE SUB QueryDrivers (sbSim AS sbSimDriver)
DECLARE SUB QuerySoundStatus (sbSim AS sbSimDriver)

DECLARE SUB PrintErr (sbSim AS sbSimDriver)
DECLARE SUB PauseSound (sbSim AS sbSimDriver, Driver AS INTEGER)
DECLARE SUB ResumeSound (sbSim AS sbSimDriver, Driver AS INTEGER)
DECLARE SUB StopSound (sbSim AS sbSimDriver, Driver AS INTEGER)

